
Name:           perl-Glib-Object-Introspection
Version:        0.022
Release:        3%{?dist}
Summary:        Dynamically create Perl language bindings
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Glib-Object-Introspection/
Source0:        http://www.cpan.org/modules/by-module/Glib/Glib-Object-Introspection-%{version}.tar.gz
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::Depends) >= 0.3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:  pkgconfig(libffi) >= 3.0.0
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Glib) >= 1.280
BuildRequires:  perl(overload)
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(Glib::Object::Subclass)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
# Optional tests
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  perl(Cairo::GObject)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Glib) >= 1.280
Requires:       perl(overload)

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Glib\\)$

%description
Glib::Object::Introspection uses the gobject-introspection and libffi projects
to dynamically create Perl bindings for a wide variety of libraries.  Examples
include gtk+, webkit, libsoup and many more.


%prep
%setup -q -n Glib-Object-Introspection-%{version}

%build
# If LANG is not set to UTF8, then when later running the test
# suite, you will see multiple failures handling UTF8 data
LANG=en_US.UTF8 %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
LANG=en_US.UTF8 make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
LANG=en_US.UTF8 make test

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS perl-Glib-Object-Introspection.doap README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Glib*
%{_mandir}/man3/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.022-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.022-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Petr Pisar <ppisar@redhat.com> - 0.022-1
- 0.022 bump

* Tue Oct  1 2013 Daniel P. Berrange <berrange@redhat.com> - 0.016-1
- Update to 0.016 release (rhbz #1013534)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 0.015-2
- Perl 5.18 rebuild

* Mon Mar  4 2013 Daniel P. Berrange <berrange@redhat.com> - 0.015-1
- Update to 0.015 release (rhbz #917609)

* Mon Feb  4 2013 Daniel P. Berrange <berrange@redhat.com> - 0.014-1
- Update to 0.014 release (rhbz #907381)

* Tue Dec 18 2012 Daniel P. Berrange <berrange@redhat.com> - 0.013-1
- Update to 0.013 release (rhbz #844966)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.010-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 09 2012 Petr Pisar <ppisar@redhat.com> - 0.010-2
- Perl 5.16 rebuild

* Mon Jul  9 2012 Daniel P. Berrange <berrange@redhat.com> - 0.010-1
- Update to 0.010 release (rh bz #828220)

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.009-2
- Perl 5.16 rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 0.009-1
- 0.009 bump

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.008-2
- Perl 5.16 rebuild

* Mon Apr 30 2012 Daniel P. Berrange <berrange@redhat.com> - 0.008-1
- Update to 0.008 release (rhbz #817256)

* Thu Mar  1 2012 Daniel P. Berrange <berrange@redhat.com> - 0.007-1
- Update to 0.007 release (rhbz #798962)

* Tue Feb  7 2012 Daniel P. Berrange <berrange@redhat.com> - 0.006-2
- Add Cairo::GObject BR for tests

* Mon Jan 30 2012 Daniel P. Berrange <berrange@redhat.com> - 0.006-1
- Update to 0.006 release (rhbz #785363)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Daniel P. Berrange <berrange@redhat.com> - 0.004-1
- Import after Fedora review (rhbz #754749)
- Update to 0.004
- Add BR on cairo to ensure tests are built
- Use custom perl filter for auto-provides
- Fix license to be LGPLv2+

* Mon Nov 21 2011 Daniel P. Berrange <berrange@redhat.com> - 0.003-2
- Add missing BRs on Test::More Glib::MakeHelper & gobject-introspection-devel
- Add requires on perl MODULE_COMPAT
- Add comment about UTF8 requirement

* Fri Nov 04 2011 Daniel P. Berrange <berrange@redhat.com> 0.003-1
- Specfile autogenerated by cpanspec 1.78.
